import { reactive } from "vue";


const original = () => {
  return {
    subjectStatus: false,
    subjectList: [] as any, // 声部列表
    selectSubjectIds: [] as any,
    selectSubjects: [] as any, // 选中的声部
    selectLastTeacherSubjects: [] as any, // 选择老师最终信息
    studentStatus: false,
    teacherStatus: false,
    orchestraList: [] as any, // 乐团列表
    selectSubjectStudents: {} as any,
    orchestraName: null, //乐团名称
    selectTeacher: {} as any // 选中老师信息
  }
}

export const createState = reactive(original())

// 重置对象
export const resestState = () => {
  Object.assign(createState, original())
}
